Update a Customer

Updates the specified customer by setting the values of the parameters passed. Any parameters not provided will be left unchanged. For example, if you pass the source parameter, that becomes the customer's active source (e.g., a card) to be used for all charges in the future. When you update a customer to a new valid card source by passing the source parameter: for each of the customer's current subscriptions, if the subscription bills automatically and is in the past_due state, then the latest open invoice for the subscription with automatic collection enabled will be retried. This retry will not count as an automatic retry, and will not affect the next regularly scheduled payment for the invoice. Changing the default_source for a customer will not trigger this behavior.

This request accepts mostly the same arguments as the customer creation call.

Path Parameters
  • id
    Type: string
    max length:  
    100
    required
Body·CustomerCreateRequest
required
application/json

Request parameters for creating a new customer.

  • Type: object · CustomerBase

    This object represents a customer of your business. Use it to create recurring charges, save payment and contact information, and track payments that belong to the same customer.

Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for put/v1/customers/{id}
curl 'https://api.paypercut.io/v1/customers/{id}' \
  --request PUT \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "email": null,
  "name": null,
  "phone": null,
  "preferred_locales": [
    ""
  ],
  "address": {
    "city": null,
    "country": null,
    "line1": null,
    "line2": null,
    "postal_code": null,
    "state": null
  },
  "invoice_settings": {
    "default_payment_method": "01K688H80Z3199KETHDJ4ZAFPS"
  },
  "created": "",
  "livemode": true
}'
{
  "email": null,
  "name": null,
  "phone": null,
  "preferred_locales": [
    "string"
  ],
  "address": {
    "city": null,
    "country": null,
    "line1": null,
    "line2": null,
    "postal_code": null,
    "state": null
  },
  "invoice_settings": {
    "default_payment_method": "01K688H80Z3199KETHDJ4ZAFPS"
  },
  "created": "2026-04-17T20:01:58.674Z",
  "livemode": true,
  "id": "string",
  "payment_methods": [
    {
      "type": "card",
      "card": {
        "cardholder_name": null,
        "brand": "string",
        "country": null,
        "issuer": null,
        "display_brand": null,
        "exp_month": 1,
        "exp_year": 1,
        "fingerprint": null,
        "funding": "string",
        "segment": "string",
        "iin": "string",
        "last4": "string",
        "wallet": {
          "dynamic_last4": null,
          "type": "apple_pay"
        },
        "three_d_secure_usage": {
          "supported": true
        }
      },
      "billing_details": {
        "email": null,
        "name": null,
        "phone": null,
        "address": {
          "city": null,
          "country": null,
          "line1": null,
          "line2": null,
          "postal_code": null,
          "state": null
        }
      },
      "metadata": {
        "additionalProperty": "string"
      },
      "customer": "string",
      "id": "string",
      "livemode": true,
      "created": "2026-04-17T20:01:58.674Z"
    }
  ]
}